org.apache.sling.maven.slingstart

## Class Substitution

- java.lang.Object
- - org.apache.sling.maven.slingstart.Substitution

    public class Substitution
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Substitution()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getOSGiVersion(String version)`
`static String` `replaceMavenVars(org.apache.maven.project.MavenProject project, String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Substitution

    public Substitution()

### Method Detail

#### replaceMavenVars

    public static String replaceMavenVars(org.apache.maven.project.MavenProject project,
                                          String s)

#### getOSGiVersion

    public static String getOSGiVersion(String version)